Subject: Re: What's in a name? Let's use a (uuid,name,email) triplet

From: Paolo Bonzini <[email-masked]>
Date: Fri, 19 Mar 2010 13:53:20 +0100

>> While a gnu.org or gmail.com will (most likely) stay with some
>> person forever, hindsight is 20/20 and many people may generate
>> his UUID from a work email.  So, suppose I make my UUID based
>> on<[email-masked]>  what will guarantee that in 20 years I
>> won't find a new career as a bartender, and Red Hat wouldn't hire
>> someone with my same name, and give him the same email address?
>
> Firstly, the UUID need not be a name/email pair.

That's what you lastly proposed generating it from.

> Secondly, you're being ridiculous; even if that ridiculous scenario
> played out not-infrequently

It's not a matter of frequency.  If you want a "UU" identification,
collisions must not even happen *once*.

>> I have an idea.  Start your own website uuidemail.com.  One
>> registers and gets an alias for their email, something like
>> [email-masked].  Then
>> people can start using
>> [email-masked]
>> as their git user.email.  I bet nobody will.
>
> This is nonsense that betrays your misunderstanding.

Why?  What does (name, email, uuid) provide over (name, concat(uuid, 
email))?  Nothing.

But the point is, neither really provides anything over (name, email).

Paolo